/**
 * Created by amorozov on 20.12.13.
 */
var connect = require('connect');
var io = require('socket.io').listen(81);
connect.createServer(connect.static('./www')).listen(80);
var clientsCount = 0;
var clients = {};
io.sockets.on('connection', function(socket)
{
    clients[socket.id] = {};
    clientsCount++;
    io.sockets.emit('chat-user-login', {'name' : 'noname'});
    io.sockets.emit('chat-count-change', {'count' : clientsCount});
    socket.on('chat-user-login', function(data)
    {
        clients[socket.id].name = data.name;
    });
    socket.on('disconnect', function(data)
    {
        clientsCount--;
        io.sockets.emit('chat-user-logout', {'name' : 'noname'});
        io.sockets.emit('chat-count-change', {'count' : clientsCount});
    });
    socket.on('chat-message', function(data)
    {
        var id = this.id;
        var name = clients[id].name;
        io.sockets.emit('chat-message', {'name' : name, 'message' : data.message});

    });
    /*setInterval(function()
    {
        console.log(clients);
    },3000);*/
});