/**
 * Created by amorozov on 20.12.13.
 */

$(document).ready(function()
{
    $("#send, #message").attr('disabled',true);
    $("#connect").click(function()
    {
        var socket = io.connect('http://localhost:81');
        socket.emit('chat-user-login', {'name' : $("#name").val()});
        $("#send, #message").attr('disabled',false);
        $("#send").click(function()
        {
            var message = $("#message").val();
            socket.emit('chat-message', {'message' : message});
        });
        socket.on('chat-count-change', function(data)
        {
            $("#count").text(data.count);
        });
        socket.on('chat-user-login', function(data)
        {
            var html = '<div>User login (name: ' + data.name+ ')</div>'
            $("#chat").prepend(html);
        });
        socket.on('chat-user-logout', function(data)
        {
            var html = '<div>User logout (name: ' + data.name+ ')</div>'
            $("#chat").prepend(html);
        });
        socket.on('chat-message', function(data)
        {
            var html = '<div>' + data.name + ' -> ' + data.message + '</div>'
            $("#chat").prepend(html);

        });
    });
});